package com.sxyz.rfid.widgets;

import android.content.Context;
import android.util.AttributeSet;

import androidx.annotation.Nullable;
import androidx.swiperefreshlayout.widget.SwipeRefreshLayout;

import com.sxyz.rfid.R;


/**
 * @Description: 刷新
 * @Author: wuchunyuan
 * @CreateDate: 2020/7/16 11:50
 * @UpdateUser: wuchunyuan
 * @UpdateDate: 2020/7/16 11:50
 * @UpdateRemark: 更新说明：
 * @Version: 1.0
 */

public class AbsSwipeRefreshLayout extends SwipeRefreshLayout {

    public AbsSwipeRefreshLayout(Context context) {
        super(context);
        initLayout();
    }

    public AbsSwipeRefreshLayout(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initLayout();
    }

    private void initLayout() {
        this.setProgressViewOffset(true, -20, 100);
        this.setColorSchemeResources(R.color.purple_200);
    }
}
